Bug 115081 - Compile error: error including freetype headers
Compile error: error including freetype headers
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-print (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-06 06:27 EST by Ivan Gyurdiev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-11 19:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2004-02-06 06:27:43 EST
Affected Packages:
gnome-print-0.37-7.1.src.rpm
libgnomeprint-1.116.0-7.src.rpm

libgnomeprint:
gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -DORBIT2=1
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
-I/usr/include/libart-2.0 -I/usr/include/pango-1.0
-I/usr/include/libxml2 -I/usr/include/libbonobo-2.0
-I/usr/include/orbit-2.0 -I/usr/include/bonobo-activation-2.0
-I/usr/include/freetype2 -DG_LOG_DOMAIN=\"GnomePrint\"
-DWE_ARE_LIBGNOMEPRINT_UI -DGNOMELOCALEDIR=\"/usr/share/locale\"
-DBINDIR=\"/usr/bin\" -DDATADIR=\"/usr/share\"
-DFONTMAPDIR_STATIC=\"/usr/share/gnome/libgnomeprint-2.0/fonts\"
-DFONTMAPDIR_DYNAMIC=\"/etc/gnome/libgnomeprint-2.0/fonts\"
-DGNOME_PRINT_LIBDIR=\"/usr/lib/gnome-print-2.0\" -O2 -g -pipe
-march=athlon -Wall -Wunused -Wmissing-prototypes
-Wmissing-declarations -Wp,-MD,.deps/gnome-print-ps2.pp -c
gnome-print-ps2.c  -fPIC -DPIC -o .libs/gnome-print-ps2.lo
In file included from ../libgnomeprint/gnome-font-private.h:41,
                 from gnome-print-ps2.c:45:
/usr/include/freetype2/freetype/freetype.h:20:2: #error "`ft2build.h'
hasn't been included yet!"
/usr/include/freetype2/freetype/freetype.h:21:2: #error "Please always
use macros to include FreeType header files."
/usr/include/freetype2/freetype/freetype.h:22:2: #error "Example:"
/usr/include/freetype2/freetype/freetype.h:23:2: #error "  #include
<ft2build.h>"
/usr/include/freetype2/freetype/freetype.h:24:2: #error "  #include
FT_FREETYPE_H"
gnome-print-ps2.c: In function `gnome_print_ps2_fill':
gnome-print-ps2.c:327: warning: `ret' might be used uninitialized in
this function
make[3]: *** [gnome-print-ps2.lo] Error 1
make[3]: Leaving directory
`/usr/src/redhat/BUILD/libgnomeprint-1.116.0/libgnomeprint'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/usr/src/redhat/BUILD/libgnomeprint-1.116.0/libgnomeprint'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/libgnomeprint-1.116.0'
make: *** [all-recursive-am] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.52054 (%build)

gnome-print:
 gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -I../intl -I../intl
-I/usr/include/freetype2 -I/usr/include/gnome-1.0
-DNEED_GNOMESUPPORT_H -I/usr/lib/gnome-libs/include
-I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include
-I/usr/X11R6/include -I/usr/include/gdk-pixbuf-1.0
-I/usr/include/gnome-xml
-DPROFILEDIR=\"/usr/share/gnome-print/profiles/\"
-DGNOMEPRINT_LIBDIR=\"/usr/lib\" -I/usr/include/gtk-1.2
-I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include
-DGNOMELOCALEDIR=\"/usr/share/locale\" -DBINDIR=\"/usr/bin\"
-DDATADIR=\"/usr/share\"
-DFONTMAPDIR_STATIC=\"/usr/share/gnome/fonts\"
-DFONTMAPDIR_DYNAMIC=\"/etc/gnome/fonts\" -O2 -g -pipe -march=athlon
-Wall -Wunused -Wp,-MD,.deps/gnome-print-ps2.pp -c gnome-print-ps2.c 
-fPIC -DPIC -o .libs/gnome-print-ps2.o
In file included from ../libgnomeprint/gnome-font-private.h:25,
                 from gnome-print-ps2.c:51:
/usr/include/freetype2/freetype/freetype.h:20:2: #error "`ft2build.h'
hasn't been included yet!"
/usr/include/freetype2/freetype/freetype.h:21:2: #error "Please always
use macros to include FreeType header files."
/usr/include/freetype2/freetype/freetype.h:22:2: #error "Example:"
/usr/include/freetype2/freetype/freetype.h:23:2: #error "  #include
<ft2build.h>"
/usr/include/freetype2/freetype/freetype.h:24:2: #error "  #include
FT_FREETYPE_H"
make[2]: *** [gnome-print-ps2.lo] Error 1
make[2]: Leaving directory
`/usr/src/redhat/BUILD/gnome-print-0.37/libgnomeprint'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/gnome-print-0.37'
make: *** [all-recursive-am] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.98684 (%build)
  
  
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.98684 (%build)
Comment 1 Ivan Gyurdiev 2004-02-08 04:11:17 EST
Is this a gnome-print or a freetype bug?
This also occurs for me with:

desktop-printing-0.1.10-20.src.rpm  
fontconfig-2.2.1-6.1.src.rpm        
libgnomeprint-1.116.0-7.src.rpm
SDL_ttf-2.0.6-0.fdr.3.1.src.rpm
Comment 2 Ivan Gyurdiev 2004-02-08 04:13:12 EST
Well, never mind for desktop-printing..
Comment 3 Owen Taylor 2004-02-08 20:18:36 EST
This is a change in the freetype API that happened a couple
of years ago but is only being enforced now. Each package will
have to be adapted.
Comment 4 Ivan Gyurdiev 2004-02-09 21:10:33 EST
So should I file separate bugzilla bugs for:

fontconfig-2.2.1-6.1.src.rpm
gd-2.0.15-1.src.rpm
gnome-print-0.37-7.1.src.rpm
libgnomeprint-1.116.0-7.src.rpm
SDL_ttf-2.0.6-0.fdr.3.1.src.rpm
ttmkfdir-3.0.9-7.src.rpm
Comment 5 Owen Taylor 2004-02-10 07:49:58 EST
I can only answer for my own packages (fontconfig, gnome-print,
libgnomeprint of the above), but for those, I'm not sure filing
such bugs is valuable. I still wouldn't make the change until I
had to rebuild the package for some other reason, and at that
point, I'm going to be reminded by the build system to fix this...
Comment 6 Ivan Gyurdiev 2004-06-11 19:08:27 EDT
This has been fixed in gnome-print, libgnomeprint, gd, and ttmkfdir.

SDL_ttf and fontconfig I can't build for different reasons (will file
bugs). So perhaps this bug should be closed?


Note You need to log in before you can comment on or make changes to this bug.